set(0,'Defaultaxesfontsize',16);
n = 1:100; x = (1+1./n).^n;

subplot (211)
plot(n, x, '.', [0 max(n)], exp(1)*[1 1], ...
     '--', 'markersize', 8)
grid
title('x_n = (1+1/n)^n', 'fontsize', 12)
xlabel('n'), ylabel('x_n')
legend('x_n', 'y = e^1 = 2.71828...', 4)

subplot (212)
x = -2:.02:2; y = x.^3.*sin(3*pi*x).^2;
plot(x,y, 'linewidth', 2)
grid
legend('y = x^3sin^2 3\pi x', 4)
xlabel('x')
